Package org.eclipse.birt.chart.model.layout

# Interface LayoutPackage.Literals

Enclosing interface:
  `LayoutPackage`

public static interface LayoutPackage.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.eclipse.emf.ecore.EClass`
`BLOCK`
The meta object literal for the '`Block`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`BLOCK__ANCHOR`
The meta object literal for the 'Anchor' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`BLOCK__BACKGROUND`
The meta object literal for the 'Background' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`BLOCK__BOUNDS`
The meta object literal for the 'Bounds' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`BLOCK__CHILDREN`
The meta object literal for the 'Children' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`BLOCK__COLUMN`
The meta object literal for the 'Column' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`BLOCK__COLUMNSPAN`
The meta object literal for the 'Columnspan' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`BLOCK__CURSOR`
The meta object literal for the 'Cursor' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`BLOCK__HEIGHT_HINT`
The meta object literal for the 'Height Hint' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`BLOCK__INSETS`
The meta object literal for the 'Insets' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`BLOCK__MIN_SIZE`
The meta object literal for the 'Min Size' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`BLOCK__OUTLINE`
The meta object literal for the 'Outline' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`BLOCK__ROW`
The meta object literal for the 'Row' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`BLOCK__ROWSPAN`
The meta object literal for the 'Rowspan' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`BLOCK__STRETCH`
The meta object literal for the 'Stretch' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`BLOCK__TRIGGERS`
The meta object literal for the 'Triggers' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`BLOCK__VISIBLE`
The meta object literal for the 'Visible' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`BLOCK__WIDTH_HINT`
The meta object literal for the 'Width Hint' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`CLIENT_AREA`
The meta object literal for the '`Client Area`' class.
`static final org.eclipse.emf.ecore.EReference`
`CLIENT_AREA__BACKGROUND`
The meta object literal for the 'Background' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`CLIENT_AREA__INSETS`
The meta object literal for the 'Insets' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`CLIENT_AREA__OUTLINE`
The meta object literal for the 'Outline' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`CLIENT_AREA__SHADOW_COLOR`
The meta object literal for the 'Shadow Color' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CLIENT_AREA__VISIBLE`
The meta object literal for the 'Visible' attribute feature.
`static final org.eclipse.emf.ecore.EDataType`
`ELLIPSIS_TYPE`
The meta object literal for the 'Ellipsis Type' data type.
`static final org.eclipse.emf.ecore.EDataType`
`ELLIPSIS_TYPE_OBJECT`
The meta object literal for the 'Ellipsis Type Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`LABEL_BLOCK`
The meta object literal for the '`Label Block`' class.
`static final org.eclipse.emf.ecore.EReference`
`LABEL_BLOCK__LABEL`
The meta object literal for the 'Label' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`LEGEND`
The meta object literal for the '`Legend`' class.
`static final org.eclipse.emf.ecore.EReference`
`LEGEND__CLIENT_AREA`
The meta object literal for the 'Client Area' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LEGEND__DIRECTION`
The meta object literal for the 'Direction' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LEGEND__ELLIPSIS`
The meta object literal for the 'Ellipsis' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`LEGEND__FORMAT_SPECIFIER`
The meta object literal for the 'Format Specifier' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LEGEND__HORIZONTAL_SPACING`
The meta object literal for the 'Horizontal Spacing' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LEGEND__ITEM_TYPE`
The meta object literal for the 'Item Type' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LEGEND__MAX_PERCENT`
The meta object literal for the 'Max Percent' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LEGEND__ORIENTATION`
The meta object literal for the 'Orientation' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LEGEND__POSITION`
The meta object literal for the 'Position' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`LEGEND__SEPARATOR`
The meta object literal for the 'Separator' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LEGEND__SHOW_PERCENT`
The meta object literal for the 'Show Percent' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LEGEND__SHOW_TOTAL`
The meta object literal for the 'Show Total' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LEGEND__SHOW_VALUE`
The meta object literal for the 'Show Value' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`LEGEND__TEXT`
The meta object literal for the 'Text' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`LEGEND__TITLE`
The meta object literal for the 'Title' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LEGEND__TITLE_PERCENT`
The meta object literal for the 'Title Percent' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LEGEND__TITLE_POSITION`
The meta object literal for the 'Title Position' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LEGEND__VERTICAL_SPACING`
The meta object literal for the 'Vertical Spacing' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LEGEND__WRAPPING_SIZE`
The meta object literal for the 'Wrapping Size' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`PLOT`
The meta object literal for the '`Plot`' class.
`static final org.eclipse.emf.ecore.EReference`
`PLOT__CLIENT_AREA`
The meta object literal for the 'Client Area' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PLOT__HORIZONTAL_SPACING`
The meta object literal for the 'Horizontal Spacing' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PLOT__VERTICAL_SPACING`
The meta object literal for the 'Vertical Spacing' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`TITLE_BLOCK`
The meta object literal for the '`Title Block`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`TITLE_BLOCK__AUTO`
The meta object literal for the 'Auto' attribute feature.
`static final org.eclipse.emf.ecore.EDataType`
`TITLE_PERCENT_TYPE`
The meta object literal for the 'Title Percent Type' data type.
`static final org.eclipse.emf.ecore.EDataType`
`TITLE_PERCENT_TYPE_OBJECT`
The meta object literal for the 'Title Percent Type Object' data type.

## Field Details

### BLOCK

static final org.eclipse.emf.ecore.EClass BLOCK
The meta object literal for the '`Block`' class.

See Also:
  - `BlockImpl`
  - `LayoutPackageImpl.getBlock()`

### BLOCK__CHILDREN

static final org.eclipse.emf.ecore.EReference BLOCK__CHILDREN
The meta object literal for the 'Children' containment reference list feature.

### BLOCK__BOUNDS

static final org.eclipse.emf.ecore.EReference BLOCK__BOUNDS
The meta object literal for the 'Bounds' containment reference feature.

### BLOCK__ANCHOR

static final org.eclipse.emf.ecore.EAttribute BLOCK__ANCHOR
The meta object literal for the 'Anchor' attribute feature.

### BLOCK__STRETCH

static final org.eclipse.emf.ecore.EAttribute BLOCK__STRETCH
The meta object literal for the 'Stretch' attribute feature.

### BLOCK__INSETS

static final org.eclipse.emf.ecore.EReference BLOCK__INSETS
The meta object literal for the 'Insets' containment reference feature.

### BLOCK__ROW

static final org.eclipse.emf.ecore.EAttribute BLOCK__ROW
The meta object literal for the 'Row' attribute feature.

### BLOCK__COLUMN

static final org.eclipse.emf.ecore.EAttribute BLOCK__COLUMN
The meta object literal for the 'Column' attribute feature.

### BLOCK__ROWSPAN

static final org.eclipse.emf.ecore.EAttribute BLOCK__ROWSPAN
The meta object literal for the 'Rowspan' attribute feature.

### BLOCK__COLUMNSPAN

static final org.eclipse.emf.ecore.EAttribute BLOCK__COLUMNSPAN
The meta object literal for the 'Columnspan' attribute feature.

### BLOCK__MIN_SIZE

static final org.eclipse.emf.ecore.EReference BLOCK__MIN_SIZE
The meta object literal for the 'Min Size' containment reference feature.

### BLOCK__OUTLINE

static final org.eclipse.emf.ecore.EReference BLOCK__OUTLINE
The meta object literal for the 'Outline' containment reference feature.

### BLOCK__BACKGROUND

static final org.eclipse.emf.ecore.EReference BLOCK__BACKGROUND
The meta object literal for the 'Background' containment reference feature.

### BLOCK__VISIBLE

static final org.eclipse.emf.ecore.EAttribute BLOCK__VISIBLE
The meta object literal for the 'Visible' attribute feature.

### BLOCK__TRIGGERS

static final org.eclipse.emf.ecore.EReference BLOCK__TRIGGERS
The meta object literal for the 'Triggers' containment reference list feature.

### BLOCK__WIDTH_HINT

static final org.eclipse.emf.ecore.EAttribute BLOCK__WIDTH_HINT
The meta object literal for the 'Width Hint' attribute feature.

### BLOCK__HEIGHT_HINT

static final org.eclipse.emf.ecore.EAttribute BLOCK__HEIGHT_HINT
The meta object literal for the 'Height Hint' attribute feature.

### BLOCK__CURSOR

static final org.eclipse.emf.ecore.EReference BLOCK__CURSOR
The meta object literal for the 'Cursor' containment reference feature.

### CLIENT_AREA

static final org.eclipse.emf.ecore.EClass CLIENT_AREA
The meta object literal for the '`Client Area`' class.

See Also:
  - `ClientAreaImpl`
  - `LayoutPackageImpl.getClientArea()`

### CLIENT_AREA__BACKGROUND

static final org.eclipse.emf.ecore.EReference CLIENT_AREA__BACKGROUND
The meta object literal for the 'Background' containment reference feature.

### CLIENT_AREA__OUTLINE

static final org.eclipse.emf.ecore.EReference CLIENT_AREA__OUTLINE
The meta object literal for the 'Outline' containment reference feature.

### CLIENT_AREA__SHADOW_COLOR

static final org.eclipse.emf.ecore.EReference CLIENT_AREA__SHADOW_COLOR
The meta object literal for the 'Shadow Color' containment reference feature.

### CLIENT_AREA__INSETS

static final org.eclipse.emf.ecore.EReference CLIENT_AREA__INSETS
The meta object literal for the 'Insets' containment reference feature.

### CLIENT_AREA__VISIBLE

static final org.eclipse.emf.ecore.EAttribute CLIENT_AREA__VISIBLE
The meta object literal for the 'Visible' attribute feature.

### LABEL_BLOCK

static final org.eclipse.emf.ecore.EClass LABEL_BLOCK
The meta object literal for the '`Label Block`' class.

See Also:
  - `LabelBlockImpl`
  - `LayoutPackageImpl.getLabelBlock()`

### LABEL_BLOCK__LABEL

static final org.eclipse.emf.ecore.EReference LABEL_BLOCK__LABEL
The meta object literal for the 'Label' containment reference feature.

### LEGEND

static final org.eclipse.emf.ecore.EClass LEGEND
The meta object literal for the '`Legend`' class.

See Also:
  - `LegendImpl`
  - `LayoutPackageImpl.getLegend()`

### LEGEND__HORIZONTAL_SPACING

static final org.eclipse.emf.ecore.EAttribute LEGEND__HORIZONTAL_SPACING
The meta object literal for the 'Horizontal Spacing' attribute feature.

### LEGEND__VERTICAL_SPACING

static final org.eclipse.emf.ecore.EAttribute LEGEND__VERTICAL_SPACING
The meta object literal for the 'Vertical Spacing' attribute feature.

### LEGEND__CLIENT_AREA

static final org.eclipse.emf.ecore.EReference LEGEND__CLIENT_AREA
The meta object literal for the 'Client Area' containment reference feature.

### LEGEND__TEXT

static final org.eclipse.emf.ecore.EReference LEGEND__TEXT
The meta object literal for the 'Text' containment reference feature.

### LEGEND__ORIENTATION

static final org.eclipse.emf.ecore.EAttribute LEGEND__ORIENTATION
The meta object literal for the 'Orientation' attribute feature.

### LEGEND__DIRECTION

static final org.eclipse.emf.ecore.EAttribute LEGEND__DIRECTION
The meta object literal for the 'Direction' attribute feature.

### LEGEND__SEPARATOR

static final org.eclipse.emf.ecore.EReference LEGEND__SEPARATOR
The meta object literal for the 'Separator' containment reference feature.

### LEGEND__POSITION

static final org.eclipse.emf.ecore.EAttribute LEGEND__POSITION
The meta object literal for the 'Position' attribute feature.

### LEGEND__ITEM_TYPE

static final org.eclipse.emf.ecore.EAttribute LEGEND__ITEM_TYPE
The meta object literal for the 'Item Type' attribute feature.

### LEGEND__TITLE

static final org.eclipse.emf.ecore.EReference LEGEND__TITLE
The meta object literal for the 'Title' containment reference feature.

### LEGEND__TITLE_POSITION

static final org.eclipse.emf.ecore.EAttribute LEGEND__TITLE_POSITION
The meta object literal for the 'Title Position' attribute feature.

### LEGEND__SHOW_VALUE

static final org.eclipse.emf.ecore.EAttribute LEGEND__SHOW_VALUE
The meta object literal for the 'Show Value' attribute feature.

### LEGEND__SHOW_PERCENT

static final org.eclipse.emf.ecore.EAttribute LEGEND__SHOW_PERCENT
The meta object literal for the 'Show Percent' attribute feature.

### LEGEND__SHOW_TOTAL

static final org.eclipse.emf.ecore.EAttribute LEGEND__SHOW_TOTAL
The meta object literal for the 'Show Total' attribute feature.

### LEGEND__WRAPPING_SIZE

static final org.eclipse.emf.ecore.EAttribute LEGEND__WRAPPING_SIZE
The meta object literal for the 'Wrapping Size' attribute feature.

### LEGEND__MAX_PERCENT

static final org.eclipse.emf.ecore.EAttribute LEGEND__MAX_PERCENT
The meta object literal for the 'Max Percent' attribute feature.

### LEGEND__TITLE_PERCENT

static final org.eclipse.emf.ecore.EAttribute LEGEND__TITLE_PERCENT
The meta object literal for the 'Title Percent' attribute feature.

### LEGEND__ELLIPSIS

static final org.eclipse.emf.ecore.EAttribute LEGEND__ELLIPSIS
The meta object literal for the 'Ellipsis' attribute feature.

### LEGEND__FORMAT_SPECIFIER

static final org.eclipse.emf.ecore.EReference LEGEND__FORMAT_SPECIFIER
The meta object literal for the 'Format Specifier' containment reference feature.

### PLOT

static final org.eclipse.emf.ecore.EClass PLOT
The meta object literal for the '`Plot`' class.

See Also:
  - `PlotImpl`
  - `LayoutPackageImpl.getPlot()`

### PLOT__HORIZONTAL_SPACING

static final org.eclipse.emf.ecore.EAttribute PLOT__HORIZONTAL_SPACING
The meta object literal for the 'Horizontal Spacing' attribute feature.

### PLOT__VERTICAL_SPACING

static final org.eclipse.emf.ecore.EAttribute PLOT__VERTICAL_SPACING
The meta object literal for the 'Vertical Spacing' attribute feature.

### PLOT__CLIENT_AREA

static final org.eclipse.emf.ecore.EReference PLOT__CLIENT_AREA
The meta object literal for the 'Client Area' containment reference feature.

### TITLE_BLOCK

static final org.eclipse.emf.ecore.EClass TITLE_BLOCK
The meta object literal for the '`Title Block`' class.

See Also:
  - `TitleBlockImpl`
  - `LayoutPackageImpl.getTitleBlock()`

### TITLE_BLOCK__AUTO

static final org.eclipse.emf.ecore.EAttribute TITLE_BLOCK__AUTO
The meta object literal for the 'Auto' attribute feature.

### ELLIPSIS_TYPE

static final org.eclipse.emf.ecore.EDataType ELLIPSIS_TYPE
The meta object literal for the 'Ellipsis Type' data type.

See Also:
  - `LayoutPackageImpl.getEllipsisType()`

### ELLIPSIS_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType ELLIPSIS_TYPE_OBJECT
The meta object literal for the 'Ellipsis Type Object' data type.

See Also:
  - `Integer`
  - `LayoutPackageImpl.getEllipsisTypeObject()`

### TITLE_PERCENT_TYPE

static final org.eclipse.emf.ecore.EDataType TITLE_PERCENT_TYPE
The meta object literal for the 'Title Percent Type' data type.

See Also:
  - `LayoutPackageImpl.getTitlePercentType()`

### TITLE_PERCENT_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType TITLE_PERCENT_TYPE_OBJECT
The meta object literal for the 'Title Percent Type Object' data type.

See Also:
  - `Double`
  - `LayoutPackageImpl.getTitlePercentTypeObject()`